import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { AppointmentProcedureWhereInputObjectSchema as AppointmentProcedureWhereInputObjectSchema } from './AppointmentProcedureWhereInput.schema'

const makeSchema = () => z.object({
  every: z.lazy(() => AppointmentProcedureWhereInputObjectSchema).optional(),
  some: z.lazy(() => AppointmentProcedureWhereInputObjectSchema).optional(),
  none: z.lazy(() => AppointmentProcedureWhereInputObjectSchema).optional()
}).strict();
export const AppointmentProcedureListRelationFilterObjectSchema: z.ZodType<Prisma.AppointmentProcedureListRelationFilter> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentProcedureListRelationFilter>;
export const AppointmentProcedureListRelationFilterObjectZodSchema = makeSchema();
